/*****************************************************************************************************
Name        :   SalesIQGlobalConstants
Description :   Global class to constants to be used in AxtriaSalesIQ
******************************************************************************************************/
public with sharing class SalesIQGlobalConstants {
    
    public static string NAME_SPACE = SObjectDescribe.namespacePrefix ;
    public static string POSITION_TYPE_NATION = 'NATION';
  
    public static string POSITION_TYPE_TERRITORY = 'Territory';
    public static string POSITION_TYPE_DISTRICT = 'District';
    public static string POSITION_TYPE_REGION = 'Region';
    public static string POSITION = 'Position';
    public static string POSITION_TYPE_FOOTPRINT = 'Footprint';
    public static string UNASSIGNED_TERRITORY = 'UNASSIGNED TERRITORY';
    public static string UNASSIGNED_TERRITORY_CODE = '00000';

    public static string FIELD_POSITION = 'Field Position';
    public static string NON_FIELD_POSITION = 'Non-Field Position';
    
    public static string TEAM_TYPE_OVERLAY = 'Overlay';
    public static string TEAM_TYPE_MIRROR = 'Mirror';
    public static string TEAM_TYPE_BASE = 'Base';

    public static string ALIGNMENT_TYPE_ZIP = 'ZIP';
    public static string ALIGNMENT_TYPE_ACCOUNT = 'Account';
    public static string ALIGNMENT_TYPE_HYBRID = 'Hybrid';

    public static string SCENARIO_RECORDTYPE_ALIGNMENT = 'Alignment_Scenario';
    public static string SCENARIO_RECORDTYPE_BLOCK = 'Customer_Block_List';
    public static string SCENARIO_RECORDTPYE_CALL_PLAN = 'Call_Plan_Generation';
  
    public static string MOVEMENT_TYPE_BULK_ZIP = 'Bulk ZIP Movement';
    public static string MOVEMENT_BULK = 'Bulk';
    public static string BULK_CR_IN_PROGRESS = 'In Progress';
    public static string BULK_CR_NEW= 'New';
    public static string BULK_CR_COMPLETED= 'Completed';
    public static string BULK_CR_FAILED= 'Failed';
    public static string BULK_CR_ERROR_OCCURED = 'Error Occurred';
    public static string MOVEMENT_TYPE_ZIP = 'ZIP Movement';
    public static string MOVEMENT_TYPE_ACCOUNT = 'Account Movement';
    public static string MOVEMENT_TYPE_CALL_PLAN = 'Call Plan';
    public static string MODULE_TYPE_CR_CALL_PLAN = 'CR Call Plan';
    public static String MODULE_TYPE_ACCOUNT_UNIVERSE = 'Account Universe';
    public static String MODULE_TYPE_CALL_PLAN_UNIVERSE = 'Call Plan Universe';
    public static String INTERFACE_NAME_POSITION_EMPLOYEE = 'Position Employee Grid';
    public static string INTERFACE_NAME_POSITION_LIST_VIEW = 'Position List View' ;
    
    public static string INFO_TYPE_ZIP = 'ZIPInfo';
    public static string INFO_TYPE_ACCOUNT = 'AccInfo';
    
    public static string CONFIRM_MOVEMENT_ZIP = 'ZIP Movement Confirm';
    public static string CONFIRM_MOVEMENT_ACCOUNT = 'Account Movement Confirm';
    
    public static string ROSTER_REASON_CODE_INTERFACE = 'Roster Reason Code';
    public static string ACCOUNT_RENDERING_INTERFACE_NAME = 'Map Account Size';
  
    public static string REQUEST_STATUS_APPROVED = 'Approved';
    public static string REQUEST_STATUS_PENDING = 'Pending';
    public static string MAP_DOWNLOAD_FAILED = 'Failed';
    public static string REQUEST_STATUS_CANCELLED = 'Cancelled';
    public static string REQUEST_STATUS_REJECTED = 'Rejected';
    public static string REQUEST_STATUS_RECALLED = 'Recalled';
    public static string REQUEST_STATUS_REVIEW = 'Review';
    public static string REQUEST_STATUS_VACANT = 'Vacant';
    public static string REQUEST_STATUS_SUBMISSION_PENDING = 'Submission Pending';
    public static string REQUEST_STATUS_DELETE_SUBMISSION_PENDING = 'Delete Submission Pending';
    public static string REQUEST_STATUS_SUBMITTED = 'Approval Pending';
    public static string REQUEST_STATUS_NO_CHANGE = 'No Change';
    public static string CURRENT_TEAM_CYCLE_TYPE  = 'Current';
    public static string FUTURE_TEAM_CYCLE_TYPE  = 'Future';
    public static string PAST_TEAM_CYCLE_TYPE  = 'Past';
    
    public static string ESRI_ZIPSTATUS_SUBMISSION_PENDING = 'SUBMISSION_PENDING';
    public static string ESRI_ZIPSTATUS_LOCKED = 'LOCKED';
    public static string ESRI_ZIPSTATUS_UNLOCKED = 'UNLOCKED';

    public static string NATIONAL_AVERAGE_WARNING_MIN = '-20';
    public static string NATIONAL_AVERAGE_WARNING_MAX = '20';
    public static string NATIONAL_AVERAGE_WARNING_THRESHOLD_MIN = '-15';
    public static string NATIONAL_AVERAGE_WARNING_THRESHOLD_MAX = '15';
  
    public static string ALIGNMENT = 'Alignment';
    public static string ROSTER = 'Roster';
    //public static string ALL_POSITION_TEXT = System.Label.All_Positions.replace(' ','');
    public static string ALL_POSITION_TEXT = System.Label.All_Positions;
    public static string MANAGE_VACANT = System.Label.Manage_Vacant;
    public static string HCP = 'HCP';
    public static string HCO = 'HCO';


    public static string REQUEST_TYPE_CALL_PLAN = 'Call Plan Change' ;
    public static string ADD_TARGET_MODULE = 'Add Target' ;
    public static String TARGET_ADDED = 'Added';
    public static String TARGET_DROPPED = 'Dropped';
    public static String CALL_PLAN_EDITED = 'Edited';

    public static string ELIGIBLE_TARGETS = 'Eligible' ;
    public static string ELIGIBLE_ACROSS_TEAM_TARGETS = 'Eligible Across Team' ;
    public static string WHOLE_UNIVERSE_TARGETS = 'Whole Universe' ;
  
    public static integer SCALE_VALUE = 0;
    public static integer NON_SCALE_VALUE = 0;
    
    public static String TEXT_SOURCE = 'Source';
    public static String TEXT_TARGET = 'Target';
    public static String TEXT_DESTINATION = 'Destination';
    
    public static String TEXT_RUN_DELTA ='Run Delta';
    public static String TEXT_RUN_FULL_PROMOTE='Run Full and Promote';
    public static String TEXT_RUN_DELTA_PROMOTE='Run Delta and Promote';
    public static String TEXT_RUN_FULL = 'Run Full';
    public static String REQUEST_TYPE_FULL = 'Full';
    public static String REQUEST_TYPE_DELTA = 'Delta';
    public static String REQUEST_TYPE_POSITION = 'Position Level';
    
    public static String ZIP_TYPE_POINT = 'Point' ;
    public static String ZIP_TYPE_STANDARD = 'Standard' ;
    
    public static string MANAGE_ASSIGNMENT='Manage Assignment';
    public static string EMPLOYEE_ASSIGNMENT = 'Employee Assignment';
    public static string SWAP_REP='Swap Rep';
    public static string EXPIRE_POSITION='Expire Position';
    public static string CR_STATUS_NEW='New';

    public static string CREATE_POSITION= 'Create Position';
    public static string DELETE_POSITION= 'Delete Position';
    public static string UPDATE_POSITION= 'Update Position';
    public static string HIERARCHY_CHANGE= 'Hierarchy Change';
    public static string UPDATE_POSITION_ATTRIBUTES = 'Update Position Attributes';
    
    public static string CREATE_OVERLAY_POSITION = 'Create Overlay Position';
    public static string UPDATE_BASE_OVERLAY_MAPPING = 'Update Base Overlay Mapping';
    public static string UPDATE_OVERLAY_POSITION = 'Update Overlay Position';
    public static string DELETE_OVERLAY_POSITION = 'Delete Overlay Position';
    public static string HIERARCHY_CHANGE_OVERLAY= 'Hierarchy Change Overlay';

    public static string CHANGE_EFFECTIVE_DATE_LABEL = 'Change Effective Date';
     public static string CHANGE_EFFECTIVE_DATE_APINAME = 'Change_Effective_Date';
    
    
    public static string FILLED= 'filled';
    public static string UNASSIGNED = 'Unassigned';
    public static string ASSIGNED = 'Assigned';
    
    public static string LAYER_CONFIG = 'Layer Configuration';
    public static string HIERARCHY_CONFIG = 'Hierarchy Configuration';
    public static string DATA_TABLE_CONFIG = 'Data Table Configuration';
    public static string JAGGED_HIERARCHY = 'Jagged Hierarchy';

    public static string PERCENTAGE = 'Percentage';
    public static string ABSOLUTE = 'Absolute';
    
    public static string NO_APPROVAL_FOUND = '-100';
    public static string NO_APPROVAL_SETTING_FOUND = '-101';
    public static string NO_APPROVAL_CONFIG_FOUND = '-102';
    public static string STAFFED = 'Staffed';
    public static string IN_PROGRESS = 'In Progress';
    public static string SUCCESS ='Success';
    public static string QUEUED = 'Queued';
    public static string READY_FOR_RUN = 'Ready for Run';
    
    public static string TEAM_TYPE_GeoBased = 'GeoBased';
    public static string TEAM_TYPE_AccountBased = 'AccountBased';
    public static string TEAM_TYPE_Hybrid = 'Hybrid';
    
    public static string ERROR = 'Error';
    public static string WARNING = 'Warning';
    public static string NORMAL = 'Normal';

    public static string ALIGNMENT_CONFIRMATION_POPUP_INTERFACE_NAME = 'Alignment: Confirmation Popup';
    public static string CREATE_POSITION_POPUP = 'Alignment: Create Position Popup';
    public static string EDIT_POSITION_POPUP = 'Alignment: Edit Position Popup';
    public static string DELETE_POSITION_POPUP = 'Alignment: Delete Position Popup';
    public static string ALIGNMENT_UPDATE_POSITION_ATTRIBUTES = 'Alignment: Update Position Attributes Popup';
    public static string ALIGNMENT_HIERARCHY_CHANGE_POPUP = 'Alignment: Hierarchy Change Popup';

    public static string ROSTER_HIERARCHY_CHANGE_POPUP = 'Roster: Hierarchy Change Popup';
    public static string ROSTER_CREATE_POSITION_POPUP = 'Roster: Create Position Popup';
    public static string ROSTER_EDIT_POSITION_POPUP = 'Roster: Edit Position Popup';
    public static string ROSTER_UPDATE_POSITION_ATTRIBUTES = 'Roster: Update Position Attributes Popup';
    public static string ROSTER_DELETE_POSITION_POPUP = 'Roster: Delete Position Popup';

    public static string ROSTER_EDIT_EMPLOYEE = 'Roster: Edit Employee Popup';

    public static string MANAGE_ASSIGNMENT_EDIT_EMPLOYEE_POPUP = 'Manage Assignment Employee: Edit Assignment' ;
    public static string MANAGE_ASSIGNMENT_EDIT_POSITION_POPUP = 'Manage Assignment Position: Edit Assignment' ;
    public static string MANAGE_ASSIGNMENT_EMPLOYEE_DETAILS = 'Manage Assignment: Employee Details' ;
    public static string MANAGE_ASSIGNMENT_POSITION_DETAILS = 'Manage Assignment: Position Details';
    public static string MANAGE_ASSIGNMENT_POSITION_EMPLOYEE_DETAILS = 'Manage Assignment: Position Employee Details';
    
    public static string SCENARIO_STATUS_ACTIVE = 'Active';
    public static string SCENARIO_STATUS_INACTIVE = 'InActive';

    public static string RELATED_POSIITON_ACTIVE = 'Active';
    public static string RELATED_POSIITON_INACTIVE = 'Inactive';
    public static string RELATED_POSIITON_FUTURE_ACTIVE = 'Future Active';
    
    public static string POSITION_GEOGRAPHY_ACTIVE = 'Active';
    public static string POSITION_GEOGRAPHY_INACTIVE = 'Inactive';
    public static string POSITION_GEOGRAPHY_FUTURE_ACTIVE = 'Future Active';
    public static string POSITION_ACCOUNT_INACTIVE = 'Inactive';

    public static string EMPLOYEE_STATUS_ACTIVE = 'Active';
    public static string EMPLOYEE_STATUS_INACTIVE = 'Inactive';
    public static string EMPLOYEE_STATUS_TERMINATED = 'Terminated';
    
    public static string CR_ACCOUNT_EXPLICIT_STATUS = 'Explicit';
    public static string CR_ACCOUNT_IMPLICIT_STATUS = 'Implicit';
    public static string CR_TYPE_CALL_PLAN = 'Call_Plan_Change';
    public static string CR_TYPE_EMP_ASSIGNMENT = 'Employee Assignment';
    public static string CR_TYPE_ROSTER = 'Roster';
    
    public static string ACCOUNT_IMPACT_TAB = 'Impact Account Tab';
    /* ---------------------------- Inquiry Module Constants---------------------------------- */
    public static String INQUIRY_STATUS_OPEN = 'Open' ;
    public static String INQUIRY_STATUS_INPROGRESS = 'In Progress' ;
    public static String INQUIRY_STATUS_REOPEN = 'Re-Open' ;
    public static String INQUIRY_STATUS_RESOLVED = 'Resolved' ;
    public static String INQUIRY_STATUS_CLOSED = 'Closed' ;
    public static String INQUIRY_STATUS_CANCELLED = 'Cancelled' ;

    public static String INQUIRY_RT_NEW = 'New' ;
    public static String INQUIRY_RT_OPEN = 'Open' ;
    public static String INQUIRY_RT_CLOSE = 'Closed' ;
    
    public static string TALEND_JOB = 'Talend';
    public static string PYTHON_JOB = 'ScenarioOperations';
	public static string COPY_VALIDATION = 'ValidateCopyScenario';
    
    public static string IN_QUEUE = 'In Queue';
    public static string ETLCONFIG_MAP_DOWNLOAD = 'MapDownload';
    public static string READY = 'Ready';
    public static string CIM_READY= 'CIM Ready';
    public static string ERROR_OCCURED = 'Error Occured';
    public static string DELETE_IN_QUEUE = 'Delete In Queue';
    public static string DELETE_IN_PROGRESS = 'Delete In Progress';
    public static string DELETE_ERROR_OCCURED = 'Delete Error Occurred';
    public static string DESIGN = 'Design';
    public static string COLLABORATION = 'Collaboration';
    public static string PUBLISHING = 'Published';
    public static string LIVE = 'Live';
    public static string PAST = 'Past';
    
    public static string POSITION_EMPLOYEE_ASSIGNMENT_PRIMARY = 'Primary';
    public static string POSITION_EMPLOYEE_ASSIGNMENT_SECONDARY = 'Secondary';

    public static string SHARING_OPERATION_ADD = 'Add';
    public static string SHARING_OPERATION_REMOVE = 'Remove';
    public static string MOVEMENT_TYPE_ZIP_SHARING = 'ZIP Sharing';
    public static string MOVEMENT_TYPE_ACCOUNT_SHARING = 'Account Sharing';
    public static string ESRI_SHARED_STATUS = 'SHARED';
    
    public static final String POSITION_UNIVERSE = 'Position Universe';
    public static final String EMPLOYEE_UNIVERSE = 'Employee Universe';
    public static final String CALL_PLAN_MODULE = 'Call Plan';

    
    public static String HIDE_ACTION = 'HIDE' ;
    public static String ENABLE_ACTION = 'ENABLE' ;
    public static String DISABLE_ACTION = 'DISABLE' ;
    public static String ACTIVE_ACTION = 'ACTIVE';
   
    public static String MAP_ACCOUNT_SORT_FIELD='Map Account Sort Field';

    public static String SCENARIO_TYPE_ALIGNMENT = 'Alignment Scenario';
    public static String SCENARIO_TYPE_CALL_PLAN = 'Call Plan Generation';
    public static String SCENARIO_TYPE_BLOCK_LIST = 'Customer Block List';
    
    public static String SCENARIO_SOURCE_CREATE_FROM_RULE = 'Create Scenario From Rule';
    public static String SCENARIO_SOURCE_CREATE_FROM_FILE = 'File';
    
    public static String VALIDATE_CONTIGUITY_AND_DOUGHNUT = 'ValidateContiguityANDDoughnut';
    public static String ERROR_CODE_104 = '104';
    public static String ERROR_CODE_103 = '103';
    public static String ERROR_CODE_105 = '105';
    public static String ERROR_CODE_404 = '404';
    public static String ERROR_CODE_201 = '201';
    public static String ERROR_CODE_106 = '106';//No remote setting found
    public static String ERROR_CODE_107 = '107';//No ETL COnfig Record found
    public static string CUSTOM_METRIC ='CustomMetric';
    public static String DATA_SOURCE = 'Data Source';


    public static String MAP_Current_View = 'Current View';
    public static String MAP_Print_Module_Name = 'Map Print';
    
    public static String AFF_RULE_BOTTOM_UP = 'Bottom Up';
    public static String AFF_RULE_TOP_DOWN = 'Top Down';
    public static String REQUEST_QUEUE_STATUS_NOT_STARTED = 'Not Started';
    public static String REQUEST_QUEUE_TYPE_POSITION = 'Position Level';
    
public static list<string> HO_PROFILE{
        get {return SalesIQProfile('HO');}
    }
    public static list<string> HR_PROFILE{
        get {return SalesIQProfile('HR');}
    }
    public static list<string> DM_PROFILE {
        get {return SalesIQProfile('DM');}
    }
    public static list<string> RM_PROFILE{
        get {return SalesIQProfile('RM');}
    }
    public static list<string> REP_PROFILE {
        get {return SalesIQProfile('Rep');}
    }
    
    
    public static Integer DECIMAL_PLACES_ROUNDING
    {
        get{
            Integer SCALE_VALUE = 0;
            if(Alignment_Global_Settings__c.getValues('metricsDecimalConfig') != null)
            {
                SCALE_VALUE = Integer.valueOf(Alignment_Global_Settings__c.getValues('metricsDecimalConfig').Tree_Hierarchy_Sort_Field__c); 
            }
            return SCALE_VALUE;
        }
    }
    public static string getOrgNameSpace() {
       return SObjectType.Position__c.getName().replace(SObjectType.Position__c.getLocalName(), '');
    }

    public static string getOrgNameSpaceWithoutUnderscore() {
       return SObjectType.Position__c.getName().replace(SObjectType.Position__c.getLocalName(), '').replace('__', '');
    }
    
    
    public static list<String> SalesIQProfile(string ProfileName){
        
        //string SalesIQProfile='System Administrator';   
        list<String> SalesIQProfile = new list<String>{'System Administrator'};
        String profiles = '';
        if(TotalApproval__c.getValues(ProfileName)!=null ){
            if(TotalApproval__c.getValues(ProfileName).Subscriber_Profile__c !=null && TotalApproval__c.getValues(ProfileName).Subscriber_Profile__c!=''){
                profiles = TotalApproval__c.getValues(ProfileName).Subscriber_Profile__c;
            }           
        }
        if(!string.isBlank(profiles)){
            SalesIQProfile.addAll(profiles.split(';'));
        }

        return SalesIQProfile;
    }

    

    // Reference to Custom Labels added inorder to add them in package
    /*
    public string deleteWorkspacePopupMessage = System.Label.Add_Target_Header_Text ;
    public string dicardChangesPopupMessage = System.Label.Create_New_Scenario ;
    public string positionsThreshold = System.Label.USA;
    public string requiredFieldMissingLabel = System.Label.Table_Heading_Job_Status;
    
    public string unassignedLabel = System.Label.Other;
    public string assignmentDetailChange = System.Label.Non_Acc;
    public string createScenarioFromExisting = System.Label.County;
    public string createScenarioFromRule = System.Label.Non_Geography;
    public string createScenarioFromFile = System.Label.Non_GIS;
    public string createScenarioHeading = System.Label.GEO_Type;
    public string required = System.Label.Afghanistan;
    public string scenarioHEading = System.Label.Albania;
    public string summaryHeading = System.Label.Algeria;
    public string failedValidationMessage = System.Label.AlignmentIndex;
    public string settingIcon = System.Label.Alignment_Scenario;
    public string callplan = System.Label.Andorra;
    public string rules = System.Label.And_Text;
    public string settingHeading = System.Label.Angola;
    public string settingTeamText = System.Label.Anguilla;
    public string settingTeamInstance = System.Label.Antarctica;
    public string settingH = System.Label.Antigua_and_Barbuda;
    public string crTracking = System.Label.Argentina;
    public string enableTracking = System.Label.Armenia;
    public string dataMapping = System.Label.Aruba;
    public string addButton = System.Label.Australia;
    public string configLabel = System.Label.Austria;
    public string tableHeading = System.Label.Azerbaijan;
    public string tableTeamInstance = System.Label.Back;
    public string tableView = System.Label.Bahamas;
    public string tableViewDetail = System.Label.Bahrain;
    public string tableColDetail = System.Label.Bangladesh;
    public string tableColText = System.Label.Barbados;
    public string kpi = System.Label.Belarus;
    public string kpiText = System.Label.Belize;
    public string approvalDetail = System.Label.Benin;
    public string approvalText = System.Label.Bermuda;
    public string summaryCard = System.Label.Bhutan;
    public string summaryCardsDetails = System.Label.Block_Type;
    public string designStage = System.Label.Bolivia;
    public string collaborationStage = System.Label.BOOLEAN_FALSE;
    public string publishingStage = System.Label.BOOLEAN_TRUE;
    public string liveStage = System.Label.Bosnia_and_Herzegovina;
    public string pastStage = System.Label.Botswana;
    public string buttonCancel = System.Label.Brazil;
    public string buttonConfirm = System.Label.Brick;
    public string save = System.Label.British_Indian_Ocean_Territory;
    public string undo = System.Label.British_Virgin_Islands;
    public string add = System.Label.Brunei;
    public string reset = System.Label.Bulgaria;
    public string buttonYes = System.Label.Burkina_Faso;
    public string buttonNo = System.Label.Burundi;
    public string labelSelect = System.Label.CallIndex;
    public string cascadeDelete = System.Label.Calls;
    public string confirmMessage = System.Label.Call_Plan_Scenario;
    public string posHierarchy = System.Label.Cambodia;
    public string saveSubmit = System.Label.Cameroon;
    public string moreAction = System.Label.Canada;
    public string closeIcon = System.Label.Cancel;
    public string countries = System.Label.Cape_Verde;
    public string crCallPlan = System.Label.Caribbean_Netherlands;
    public string download = System.Label.Cayman_Islands;
    public string noRecord = System.Label.Central_African_Republic;
    public string switchCountry = System.Label.Chad;
    public string editLabel = System.Label.Change;
    public string manageAssignment = System.Label.Changes;
    public string deleteLabel = System.Label.Change_Action_Type;
    public string openAlignment = System.Label.Chile;
    public string openCallPlan = System.Label.China;
    public string openCanvas = System.Label.Christmas_Island;
    public string updateLabel = System.Label.City;
    public string deletePosActionLabel = System.Label.Client_Position_Code;
    public string editActionLabel = System.Label.Collectivity_of_Saint_Martin;
    public string addTarget = System.Label.Colombia;
    public string callPlanRecord = System.Label.Comoros;
    public string addTargetRecord = System.Label.Congo;
    public string addNewPos = System.Label.Cook_Islands;
    public string addNewEmp = System.Label.Costa_Rica;
    public string pos = System.Label.Count;
    public string emp = System.Label.Create_District;
    public string noPosSelected = System.Label.Criteria_Heading;
    public string noEmpSelected = System.Label.Criteria_SubHeading;
    public string viewAll = System.Label.Croatia;
    public string removeAssignment = System.Label.Cuba;
    public string guardrailsRange = System.Label.Customer_Affiliation_Nw_Heading;
    public string kpiCards = System.Label.Cycle_End_Date;
    public string removeRecordAction = System.Label.Cyprus;
    public string manageAssignmentLabel = System.Label.Czech_Republic;
    public string empLAbel = System.Label.Datatable_infoThousands;
    public string assignNewLabel = System.Label.Datatable_lengthMenu;
    public string crPendingEmp = System.Label.Datatable_loadingRecords;
    public string crPendingPos = System.Label.Datatable_search;
    public string assignNewEmp = System.Label.Datatable_sortAscending;
    public string toggle = System.Label.Datatable_sortDescending;
    public string crPending = System.Label.Democratic_Republic_of_the_Congo;
    public string workSpace = System.Label.DesignStageDescription;
    public string newText = System.Label.Destination_Text;
    public string Aligned_Approved_Customer = System.Label.District_Expiry;
    public string Account_Universe = System.Label.District_Termination;
    public string Team_Universe = System.Label.Djibouti;



    public string openCanvas1 = System.Label.Dominica;
    public string updateLabel1 = System.Label.downloadAsPng;
    public string deletePosActionLabel1 = System.Label.Drop;
    public string editActionLabel1 = System.Label.Dropped;
    public string addTarget1 = System.Label.Duplicate_Scenario_Name;
    public string callPlanRecord1 = System.Label.Duplicate_Scenario_Name_CPG;
    public string addTargetRecord1 = System.Label.Duplicate_Scenario_Validation;
    public string addNewPos1 = System.Label.Ecuador;
    public string addNewEmp1 = System.Label.Edited;
    public string pos1 = System.Label.EffectiveDateLieBetweenTeamInstance;
    public string emp1 = System.Label.Effective_Close_Date;
    public string noPosSelected1 = System.Label.Egypt;
    public string noEmpSelected1 = System.Label.El_Salvador;
    public string viewAll1 = System.Label.EmployeeAssignmentInfoPopup;
    public string removeAssignment1 = System.Label.EMP_STATUS_VALUES;
    public string guardrailsRange1 = System.Label.EnableTrackingInfoPopup;
    public string kpiCards1 = System.Label.Equatorial_Guinea;
    public string removeRecordAction1 = System.Label.Eritrea;
    public string manageAssignmentLabel1 = System.Label.Estonia;
    public string empLAbel1 = System.Label.Ethiopia;
    public string assignNewLabel1 = System.Label.Macau;
    public string crPendingEmp1 = System.Label.Madagascar;
    public string crPendingPos1 = System.Label.Malawi;
    public string assignNewEmp1 = System.Label.Malaysia;
    public string toggle1 = System.Label.Maldives;
    public string crPending1 = System.Label.Mali;
    public string workSpace1 = System.Label.Malta;
    public string newText1 = System.Label.Marshall_Islands;
    public string Aligned_Approved_Customer1 = System.Label.Martinique;
    public string Account_Universe1 = System.Label.Mauritania;
    public string Team_Universe1 = System.Label.Mauritius;
    public string openCanvas2 = System.Label.Mayotte;
    public string updateLabel2 = System.Label.Message_Success;
    public string deletePosActionLabel2 = System.Label.Mexico;
    public string editActionLabel2 = System.Label.Moldova;
    public string addTarget2 = System.Label.Monaco;
    public string callPlanRecord2 = System.Label.Mongolia;
    public string addTargetRecord2 = System.Label.Montenegro;
    public string addNewPos2 = System.Label.Montserrat;
    public string addNewEmp2 = System.Label.Move_Button_Label;
    public string pos2 = System.Label.Mozambique;
    public string emp2 = System.Label.Myanmar;
    public string noPosSelected2 = System.Label.Namibia;
    public string noEmpSelected2 = System.Label.Nation;
    public string viewAll2 = System.Label.Nauru;
    public string removeAssignment2 = System.Label.Nepal;
    public string guardrailsRange2 = System.Label.Netherlands;
    public string kpiCards2 = System.Label.New_Account_Exclusion;
    public string removeRecordAction2 = System.Label.New_Hire_Assignment;
    public string manageAssignmentLabel2 = System.Label.New_Territory;
    public string empLAbel2 = System.Label.New_Zealand;
    public string assignNewLabel2 = System.Label.Niue;
    public string crPendingEmp2 = System.Label.No_Image_Found;
    public string crPendingPos2 = System.Label.No_of_Added_Targets;
    public string assignNewEmp2 = System.Label.No_of_Dropped_Targets;
    public string toggle2 = System.Label.No_of_Edited_Targets;
    public string crPending2 = System.Label.No_Targets_Description_Text;
    public string workSpace2 = System.Label.Oman;
    public string newText2 = System.Label.Pakistan;
    public string Aligned_Approved_Customer2 = System.Label.Palau;
    public string Account_Universe2 = System.Label.Papua_New_Guinea;
    public string Team_Universe2 = System.Label.Paraguay;
    public string openCanvas3 = System.Label.ParentGEO;
    public string updateLabel3 = System.Label.Parent_Account_Number;
    public string deletePosActionLabel3 = System.Label.Parent_can_not_be_updated_for_base_with_associated_overlay;
    public string editActionLabel3 = System.Label.Parent_Position;
    public string addTarget3 = System.Label.Parent_Position_Code;
    public string callPlanRecord3 = System.Label.Peru;
    public string addTargetRecord3 = System.Label.Philippines;
    public string addNewPos3 = System.Label.PICKLIST_ACCOUNT_ALIGNMENT_TYPE;
    public string addNewEmp3 = System.Label.PICKLIST_HYBRID_ALIGNMENT_TYPE;
    public string pos3 = System.Label.PICKLIST_ZIP_ALIGNMENT_TYPE;
    public string emp3 = System.Label.Pitcairn_Islands;
    public string noPosSelected3 = System.Label.Placeholder_Search;
    public string noEmpSelected3 = System.Label.Poland;
    public string viewAll3 = System.Label.PositionCode;
    public string removeAssignment3 = System.Label.PositionName;
    public string guardrailsRange3 = System.Label.Position_Name;
    public string kpiCards3 = System.Label.Position_Type;
    public string removeRecordAction3 = System.Label.Previous_Rep_Not_In_Company;
    public string manageAssignmentLabel3 = System.Label.Product;
    public string empLAbel3 = System.Label.PublishingStageDescription;
    public string assignNewLabel3 = System.Label.Puerto_Rico;
    public string crPendingEmp3 = System.Label.Push_To_Sales_IQ;
    public string crPendingPos3 = System.Label.python_service_sync_error;

    public string MdeleteWorkspacePopupMessage = System.Label.Faroe_Islands ;
    public string MdicardChangesPopupMessage = System.Label.Federated_States_of_Micronesia ;
    public string MpositionsThreshold = System.Label.Fields_To_Include;
    public string MrequiredFieldMissingLabel = System.Label.Fiji;
    public string MscenarioCreateSuccess = System.Label.Finland ;
    public string MunassignedLabel = System.Label.France ;
    public string MMassignmentDetailChange = System.Label.French_Guiana;
    public string MMcreateScenarioFromExisting = System.Label.French_Polynesia;
    public string MMcreateScenarioFromRule = System.Label.Future;
    public string McreateScenarioFromFile = System.Label.Gabon;
    
    public string McreateScenarioHeading = System.Label.Gambia;
    public string Mrequired = System.Label.gen_Select_label;
    public string MscenarioHEading = System.Label.GEO;
    public string MsummaryHeading = System.Label.GEOCode;
    public string MfailedValidationMessage = System.Label.Georgia;
    public string MsettingIcon = System.Label.Geo_Based;
    public string Mcallplan = System.Label.Germany;
    public string Mrules = System.Label.Ghana;
    public string MsettingHeading = System.Label.Gibraltar;
    public string MsettingTeamText = System.Label.Greece;
    public string MsettingTeamInstance = System.Label.Greenland;
    public string MsettingH = System.Label.Grenada;
    public string McrTracking = System.Label.Groups;
    public string MenableTracking = System.Label.Guadeloupe;
    public string MdataMapping = System.Label.Guam;
    public string MaddButton = System.Label.Guardrail_Range;
    public string MconfigLabel = System.Label.Guatemala;
    public string MtableHeading = System.Label.Guernsey;
    public string MtableTeamInstance = System.Label.Guinea;
    public string MtableView = System.Label.Guyana;
    public string MtableViewDetail = System.Label.Hybrid;
    public string MtableColDetail = System.Label.Hungary;
    public string MtableColText = System.Label.hover_compare;
    public string Mkpi = System.Label.Hong_Kong;
    public string MkpiText = System.Label.Honduras;
    public string MapprovalDetail = System.Label.Highlighted_Implicit_Accounts_Text;
    public string MapprovalText = System.Label.Hierarchy_Level;
    public string MsummaryCard = System.Label.Heard_and_McDonald_Islands;
    public string MsummaryCardsDetails = System.Label.HEADER_UPLOAD_SCENARIO_FROM;
    public string MdesignStage = System.Label.HEADER_SELECT_FROM_BR_TEMPLATE;
    public string McollaborationStage = System.Label.HEADER_NEW_SCENARIO_CYCLE_END_DATE;
    public string MpublishingStage = System.Label.HEADER_NEW_SCENARIO_CYCLE_DATE;
    public string MliveStage = System.Label.HEADER_FILE_TEMPLATE;
    public string MpastStage = System.Label.HEADER_ENABLE_AFFILIATION_BASED_ALIGNMENT;
    public string MbuttonCancel = System.Label.HEADER_ATTACH_SCENARIO_TEAM_INSTANCE;
    public string MbuttonConfirm = System.Label.HEADER_ATTACH_SCENARIO_TEAM;
    public string Msave = System.Label.HEADER_ALIGNMENT_TYPE;
    public string Mundo = System.Label.Haiti;
    public string Madd = System.Label.Inactive;
    public string Mreset = System.Label.Indonesia;
    public string MbuttonYes = System.Label.Iran;
    public string MbuttonNo = System.Label.Iraq;
    public string MlabelSelect = System.Label.Isle_of_Man;
    public string McascadeDelete = System.Label.Israel;
    public string MconfirmMessage = System.Label.Italy;
    public string MposHierarchy = System.Label.Jamaica;
    public string MsaveSubmit = System.Label.Japan;
    public string MmoreAction = System.Label.Jersey;
    public string McloseIcon = System.Label.Jordan;
    public string Mcountries = System.Label.Kazakhstan;
    public string McrCallPlan = System.Label.Kenya;
    public string Mdownload = System.Label.Kingdom_of_Denmark;
    public string MnoRecord = System.Label.Kiribati;
    public string MswitchCountry = System.Label.Kuwait;
    public string MeditLabel = System.Label.Kyrgyzstan;
    public string MmanageAssignment = System.Label.Luxembourg;
    public string MdeleteLabel = System.Label.Los_Angeles;
    public string MopenAlignment = System.Label.Lithuania;
    public string MopenCallPlan = System.Label.Liechtenstein;
    public string MopenCanvas = System.Label.Libya;
    public string MupdateLabel = System.Label.Liberia;
    public string MdeletePosActionLabel = System.Label.LESS_THAN_TODAY;
    public string MeditActionLabel = System.Label.Lesotho;
    public string MaddTarget = System.Label.Lebanon;
    public string McallPlanRecord = System.Label.Latvia;
    public string MaddTargetRecord = System.Label.Label_Share;
    public string MaddNewPos = System.Label.Label_Remove_Sharing;
    public string MaddNewEmp = System.Label.Label_Move;


    public string kdeleteWorkspacePopupMessage = System.Label.Zoom_Out_Icon_Label ;
    public string kdicardChangesPopupMessage = System.Label.Zoom_In_icon_title ;
    public string kpositionsThreshold = System.Label.Zone;
    public string krequiredFieldMissingLabel = System.Label.Zimbabwe    ;
    public string kscenarioCreateSuccess = System.Label.Zambia ;
    public string kkunassignedLabel = System.Label.Yemen ;
    public string kkassignmentDetailChange = System.Label.Western_Sahara;
    public string kcreateScenarioFromExisting = System.Label.Wallis_and_Futuna;
    public string kcreateScenarioFromRule = System.Label.View_Canvas;
    public string kcreateScenarioFromFile = System.Label.Vietnam;
    public string kcreateScenarioHeading = System.Label.Venezuela;
    public string krequired = System.Label.Vatican_City;
    public string kscenarioHEading = System.Label.Vanuatu;
    public string ksummaryHeading = System.Label.VALIDATION_WORKSPACE_START_DATE;
    public string kfailedValidationMessage = System.Label.VALIDATION_WORKSPACE_NAME;
    public string ksettingIcon = System.Label.VALIDATION_ENABLE_DISPLAY_AFFILIATION_NETWORK;
    public string kcallplan = System.Label.VALIDATION_ALIGNMENT_TYPE_MISSING;
    public string krules = System.Label.Uzbekistan;
    public string ksettingHeading = System.Label.Uruguay;
    public string ksettingTeamText = System.Label.United_States_Virgin_Islands;
    public string ksettingTeamInstance = System.Label.United_States_Minor_Outlying_Islands;
    public string ksettingH = System.Label.United_Kingdom;
    public string kcrTracking = System.Label.United_Arab_Emirates;
    public string kenableTracking = System.Label.Unassigned_Non_Field_Position;
    public string kdataMapping = System.Label.Ukraine;
    public string kaddButton = System.Label.Uganda;
    public string kconfigLabel = System.Label.Turks_and_Caicos_Islands;
    public string ktableHeading = System.Label.Turkmenistan;
    public string ktableTeamInstance = System.Label.Turkey;
    public string ktableView = System.Label.Tunisia;
    public string ktableViewDetail = System.Label.Trinidad_an_Tobago;
    public string ktableColDetail = System.Label.TotalTerritories;
    public string ktableColText = System.Label.Tokelau;
    public string kkpi = System.Label.Togo;
    public string kkpiText = System.Label.Title_Summary;
    public string kapprovalDetail = System.Label.Title_Settings;
    public string kapprovalText = System.Label.Title_Hierarchy;
    public string ksummaryCard = System.Label.Title_Close;
    public string ksummaryCardsDetails = System.Label.Tier_Changes_Approval_awaiting;
    public string kdesignStage = System.Label.Thailand;
    public string kcollaborationStage = System.Label.test_lable_new;
    public string kpublishingStage = System.Label.Territory_default_name;
    public string kliveStage = System.Label.Territory_Change;
    public string kpastStage = System.Label.TerritoryName;
    public string kbuttonCancel = System.Label.Team_Instance;
    public string kbuttonConfirm = System.Label.Team;
    public string ksave = System.Label.Tanzania;
    public string kundo = System.Label.Tajikistan;
    public string kadd = System.Label.Taiwan;
    public string kreset = System.Label.System_Administrator;
    public string kbuttonYes = System.Label.Syria;
    public string kbuttonNo = System.Label.Switzerland;
    public string klabelSelect = System.Label.Sweden;
    public string kcascadeDelete = System.Label.Swaziland;
    public string kconfirmMessage = System.Label.Svalbard_and_Jan_Mayen;
    public string kposHierarchy = System.Label.Supervisor_Change;
    public string ksaveSubmit = System.Label.SumSalesIndexProposed;
    public string kmoreAction = System.Label.SumCallsProposed;
    public string kcloseIcon = System.Label.SumCallsIndexProposed;
    public string kcountries = System.Label.SumAlignmentIndexProposed;
    public string kcrCallPlan = System.Label.Sudan;
    public string kdownload = System.Label.SUCCESS_TARGETS_ADDED;
    public string knoRecord = System.Label.STATUS_SUBMISSION_PENDING;
    public string kswitchCountry = System.Label.STATUS_APPROVAL_PENDING;
    public string keditLabel = System.Label.State_of_Palestine;
    public string kmanageAssignment = System.Label.State;
    public string kdeleteLabel = System.Label.Standard_User;
    public string kopenAlignment = System.Label.Speciality_Text_Label;
    public string kopenCallPlan = System.Label.Spain;
    public string kopenCanvas = System.Label.South_Georgia_and_the_South_Sandwich_Islands;
    public string kupdateLabel = System.Label.South_Africa;
    public string kdeletePosActionLabel = System.Label.Sort_Table_Column;
    public string keditActionLabel = System.Label.Solomon_Islands;
    public string kaddTarget = System.Label.Slovenia;
    public string kcallPlanRecord = System.Label.Slovakia;
    public string kaddTargetRecord = System.Label.Sint_Maarten;
    public string kaddNewPos = System.Label.Singapore;
    public string kaddNewEmp = System.Label.Sierra_Leone;
    public string kpos = System.Label.SharingInfoPopup;
    public string kemp = System.Label.Serbia;
    public string knoPosSelected = System.Label.Senegal;
    public string knoEmpSelected = System.Label.Security_Error_Object_Not_Updateable_CPG;
    public string kviewAll = System.Label.Security_Error_Object_Not_Readable_CPG;
    public string kremoveAssignment = System.Label.Security_Error_Object_Not_Insertable_CPG;
    public string kguardrailsRange = System.Label.Security_Error_Object_Not_Deletable_CPG;
    public string kkpiCards = System.Label.Security_Error_Field_Not_Updateable_CPG;
    public string kremoveRecordAction = System.Label.Security_Error_Field_Not_Readable_CPG;
    public string kmanageAssignmentLabel = System.Label.Security_Error_Field_Not_Insertable_CPG;
    public string kempLAbel = System.Label.Scenario_Setting_Data_Mapping_Text;
    public string kassignNewLabel = System.Label.Scenario_Configuration_Checklist;
    public string kcrPendingEmp = System.Label.SCENARIO_CALL_PLAN_SCENARIO;
    public string kcrPendingPos = System.Label.Save;
    public string kassignNewEmp = System.Label.Samoa;
    public string ktoggle = System.Label.SalesIndex;
    public string kcrPending = System.Label.SaleIndex;
    public string kworkSpace = System.Label.Saint_Vincent_and_he_Grenadines;
    public string knewText = System.Label.Saint_Pierre_and_Miquelon;
    public string kAligned_Approved_Customer = System.Label.Rwanda;
    public string kAccount_Universe = System.Label.Run_Rules;
    public string kTeam_Universe = System.Label.Run_Delta_Promote;
    public string kopenCanvas10 = System.Label.Romania;
    public string kupdateLabel10 = System.Label.RMLogin;
    public string kdeletePosActionLabel10 = System.Label.Rep_On_Leave_Of_Absence;
    public string keditActionLabel10 = System.Label.Republic_of_Ireland;
    public string kaddTarget10 = System.Label.Remove_Explicit_UserPos_Confirm;
    public string kcallPlanRecord10 = System.Label.Qatar;
    public string accountExclusionCreated =  System.Label.Account_Exclusion_Updated;
    public string accountExclusionUpdated =  System.Label.Account_Exclusion_Created;
    public string businessRuleRunning = System.Label.Business_Rule_Running_Warning;
    public string unsavedProgress = System.Label.All_unsaved_progress_will_be_discarded;
    public string webserviceNotAvailable = System.Label.webservice_not_available;
    public string andLabel = System.Label.And;
    public string allLabel = System.Label.Label_All;*/
    
}